//
//  ViewController.m
//  MLPageVC
//
//  Created by 玛丽 on 2017/12/11.
//  Copyright © 2017年 玛丽. All rights reserved.
//

#import "ViewController.h"
#import "MLViewController.h"
#import "MLBasePageViewController.h"
#import "OneViewController.h"
#import "TwoViewController.h"
#import "ThrViewController.h"
#import "FouViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    self.view.backgroundColor = [self arndomColor];
}

- (UIColor *)arndomColor {
    CGFloat red = arc4random_uniform(256)/ 255.0;
    CGFloat green = arc4random_uniform(256)/ 255.0;
    CGFloat blue = arc4random_uniform(256)/ 255.0;
    UIColor *color = [UIColor colorWithRed:red green:green blue:blue alpha:1.0];
    return color;
}


- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    
    MLViewController *vv = [[MLViewController alloc] init];
    OneViewController *one = [[OneViewController alloc] init];
    TwoViewController *two = [[TwoViewController alloc] init];
    ThrViewController *thr = [[ThrViewController alloc] init];
    FouViewController *fou = [[FouViewController alloc] init];
    
    MLBasePageViewController *vc = [[MLBasePageViewController alloc] init];
    vc.VCArray = @[vv, one, two, thr, fou];
    vc.sectionTitles = @[@"玛丽", @"玛丽玛丽", @"玛丽玛", @"玛丽", @"玛丽玛"];
    [self.navigationController pushViewController:vc animated:YES];
}

@end
